unit hiButton;

interface

uses Windows,Kol,Share,Win;

{$I share.inc}

type
 THIButton = class(THIWin)
   private
     procedure _OnClick(Obj:PObj);
     procedure SetCaption(const Value:string);
     procedure SetDefaultBtn(const Value:boolean);
   public
     _event_onClick:THI_Event;
     _prop_Data:TData;

     constructor Create(Parent:PControl);
     procedure _work_doCaption(var _Data:TData; Index:word);
     property _prop_Caption:string write SetCaption;
     property _prop_DefaultBtn:boolean write SetDefaultBtn;
 end;

implementation

constructor THIButton.Create;
begin
   //Parent.ExStyle := Parent.ExStyle or WS_EX_CONTROLPARENT; 
   inherited Create(Parent);
   Control := NewButton(Parent,'Push');
   Control.OnClick := _OnClick;
   {$ifdef F_P}
   _prop_Ctl3D := 0;
   {$else}
   _prop_Ctl3D := 1;
   {$endif}
end;

procedure THIButton._work_doCaption;
begin
   Control.Caption := ReadString(_Data,Null,'');
   //Control.Checked := true;
end;

procedure THIButton._OnClick;
var dt:TData;
begin
   dt := _prop_Data;
  _hi_OnEvent(_event_onClick,dt);
  //_debug(int2str(Control.ExStyle));
end;

procedure THIButton.SetCaption;
begin
  Control.Caption := Value;
end;

procedure THIButton.SetDefaultBtn;
begin
  Control.DefaultBtn:=Value;
end;

end.
